Loading...
Searching...
No Matches
peptide.h File Reference
`#include "peptidebase.h"`
`#include "msrun.h"`
`#include "protein.h"`
`#include "peptidemeasurements.h"`
`#include "pappsomspp/core/msrun/alignment/msrunretentiontime.h"`
`#include "pappsomspp/core/msrun/xiccoord/ionmobilitygrid.h"`
`#include <cstdint>`
`#include <QJsonObject>`

Go to the source code of this file.

## Classes

class | pappso::masschroq::Peptide
struct | pappso::masschroq::Peptide::AlignedPeakPositionElement
| internal structure to compute consensus retention times More...
struct | pappso::masschroq::Peptide::MsRunXicCoordCharge
| internal structure to store msrun + charge + intensity + xic coordinate More...

## Namespaces

namespace | pappso
| tries to keep as much as possible monoisotopes, removing any possible C13 peaks and changes multicharge peaks to monocharge
namespace | pappso::masschroq

## Typedefs

typedef std::shared_ptr< Peptide > | pappso::masschroq::PeptideSp
typedef std::shared_ptr< PeptideLabel > | pappso::masschroq::PeptideLabelSp